Wind River Support Network

HomeDefectsLIN5-18031
Fixed

LIN5-18031 : Security Advisory - openssh - CVE-2014-1692

Created: Feb 16, 2014    Updated: Dec 19, 2017
Resolved Date: Mar 3, 2014
Found In Version: 5.0.1.13
Fix Version: 5.0.1.13
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The hash_buffer function in schnorr.c in OpenSSH through 6.4, when Makefile.inc is modified to enable the J-PAKE protocol, does not initialize certain data structures, which might allow remote attackers to cause a denial of service (memory corruption) or have unspecified other impact via vectors that trigger an error condition.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-1692

Other Downloads


Live chat
Online